TechDraw FührungLinie

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw LeaderLine and the translation is 67% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg TechDraw Annotation.svg Neue Anmerkung Vorherige:
Nächste: RichTextBlock TechDraw RichTextAnnotation.svg Arrow-right.svg

Techdraw-mline.svg TechDraw Führungslinie

Menüeintrag
TechDraw → Linien hinzufügen → Führungslinie zur Ansicht hinzufügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
None
In der Version eingeführt
0.19
Siehe auch
TechDraw Vorlagen, Entwurf SVG, RichTextBlock


Beschreibung

Das Werkzeug Führungslinie fügt eine Linie einer Ansicht hinzu. Andere Anmerkungsobjekte (wie z.B. RichTextBlock) können mit der Führungslinie verbunden werden, um komplexe Anmerkungen zu bilden.

TechDraw LeaderLine sample.png

Führungslinie zu View001 hinzugefügt


Kurzanleitung

  1. Drücke die Techdraw-mline.svg FührungLinie Taste
  2. Ein Aufgabendialog wird geöffnet. Der Dialog ermöglicht das Zeichnen der Führungslinie und die Zuweisung von Endsymbolen an die Linie.
  3. Die Auswahl Punkte Schaltfläche startet eine Funktion zum Zeichnen der Linie. Das Zeichnen von Linien beginnt immer an dem Punkt, an dem die Linie an die Ansicht angehängt werden soll.
  4. Klicke, um einen Punkt hinzuzufügen, bewege die Maus, um ein Liniensegment zu zeichnen.
  5. Um den Linieneditor zu verlassen, drücke die Schaltfläche Änderungen speichern.
  6. Um den Linieneditor ohne Speichern zu verlassen, drücke die Schaltfläche Änderungen verwerfen.
  7. Nachdem die Linie erstellt wurde, kann sie durch Doppelklicken auf die Führungslinie im Baum bearbeitet werden.

Note: If you did not define any points when creating the leader line, a short line will be placed at the center of the view. You can later not add further points.

Eigenschaften

  • Daten-EigenschaftX,Y: Der Punkt, an dem die Führungslinie mit der Ansicht verbunden ist.
  • Daten-EigenschaftLeader Parent: Die Ansicht, der die Führung angehängt ist.
  • Daten-EigenschaftStart Symbol: Das Symbol für das Linienende (Pfeilspitze) am Ende der Ansicht.
  • Daten-EigenschaftEnd Symbol: Das Linienendensymbol am anderen Ende.
  • Daten-EigenschaftWayPoints: Knoten auf der Führungslinie.
  • Daten-EigenschaftScalable: Führungslinie skaliert mit Führungslinie als Elternteil.
  • View/deColor: Stiftfarbe für die Führungslinie.
  • Ansicht EigenschaftLine Style: 0 - keine Linie, 1 - durchgezogene Linie, ...
  • Ansicht EigenschaftLine Width: Stärke der Führungslinie.

Skripten

Siehe auch: TechDraw Anwendungsschnittstelle und FreeCAD Grundlagen Skripten.

Das Führungslinine Werkzeug kann in Makros und von der Python Konsole aus mit den folgenden Funktionen verwendet werden:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawLeaderLine','DrawLeaderLine')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)  
#rest of waypoints are positions relative to (0,0,0)
leaderObj.WayPoints = [p0,p1,p2]
leaderObj.X = 5
leaderObj.Y = 5

Hinweise

  • Du kannst deine FührungsLinie bearbeiten, indem du in der Baumansicht darauf doppelklickst. Ein Doppelklick in den Grafikbereich wird noch nicht unterstützt.
  • Die FührungsLinie kann durch Drücken von "Punkte bearbeiten" im Bearbeitungsmodus bearbeitet werden. Um die Punktbearbeitung zu beenden: drücke "Änderungen speichern" oder "Änderungen verwerfen".
Arrow-left.svg TechDraw Annotation.svg Neue Anmerkung Vorherige:
Nächste: RichTextBlock TechDraw RichTextAnnotation.svg Arrow-right.svg